
Core - Task # 56241

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55522 (Closed): As a developer I want to ensure that further changes have no negative impact on import or export
Subject: Improve AbstractDataHandlerActionTestCase
Description

Optimizations for AbstractDataHandlerActionTestCase to get better test results in impexp functional tests:

    -  Compare XML, e.g. Flexform
    -  Collect all fail messages before calling fail()
    -  Check records for left rows that was not assigned in csv

Associated revisions
Revision e6251a99 - 2014-03-08 15:40 - Marc Bastian Heinrichs

[TASK] Improve AbstractDataHandlerActionTestCase

Improvements for the AbstractDataHandlerActionTestCase to
get better functional test results in general and working
functional tests in impexp (e.g. for FlexForm XML):

    -  collect all fail messages before calling fail()
    -  check records for left rows that was not assigned in csv
    -  do strict compare if value is NULL
    -  compare XML, e.g. FlexForm

Resolves: #56241
Releases: 6.2
Change-Id: Ic21c27261cbe18dc5fd37c4869c10264880b731e
Reviewed-on: https://review.typo3.org/27816
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2014-02-24 16:22 - Gerrit Code Review
- Status changed from New to Under Review
https://review.typo3.org/27816


Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27816

#2 - 2014-02-24 18:04 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27816

#3 - 2014-02-25 14:51 - Marc Bastian Heinrichs
- % Done changed from 0 to 80

#4 - 2014-02-25 15:53 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27816

#5 - 2014-03-03 14:32 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27816

#6 - 2014-03-06 18:46 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27816

#7 - 2014-03-08 16:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:e6251a99240a1ecd57f876d0903008b5d9bf2eaa.
